#pragma GCC optimize("Ofast")
#pragma GCC target("sse,sse2,sse3,sse4,popcnt,abm,mmx")
#include <bits/stdc++.h>

using namespace std;

void __print(int x) {cerr << x;}
void __print(long x) {cerr << x;}
void __print(long long x) {cerr << x;}
void __print(unsigned x) {cerr << x;}
void __print(unsigned long x) {cerr << x;}
void __print(unsigned long long x) {cerr << x;}
void __print(float x) {cerr << x;}
void __print(double x) {cerr << x;}
void __print(long double x) {cerr << x;}
void __print(char x) {cerr << '\'' << x << '\'';}
void __print(const char *x) {cerr << '\"' << x << '\"';}
void __print(const string &x) {cerr << '\"' << x << '\"';}
void __print(bool x) {cerr << (x ? "true" : "false");}

template<typename T, typename V>
void __print(const pair<T, V> &x) {cerr << '{'; __print(x.first); cerr << ','; __print(x.second); cerr << '}';}
template<typename T>
void __print(const T &x) {int f = 0; cerr << '{'; for (auto &i: x) cerr << (f++ ? "," : ""), __print(i); cerr << "}";}
void _print() {cerr << "]\n";}
template <typename T, typename... V>
void _print(T t, V... v) {__print(t); if (sizeof...(v)) cerr << ", "; _print(v...);}
#ifndef ONLINE_JUDGE
#define dbg(x...) cerr << "[" << #x << "] = ["; _print(x)
#else
#define dbg(x...) 0
#endif

#define ll long long
#define str string
#define pb push_back
#define mp make_pair
#define F first
#define S second
#define optimizator ios_base::sync_with_stdio(0);cin.tie(0);cout.tie(0)
#define sz size

void solve(){
	 str s;
	 cin >> s;
	 reverse(s.begin(), s.end());
	 bool zeros = 1;
	 for(int i = 0; i < s.size(); i ++){
	 	if(zeros && s[i] == '0'){
	 		continue;
		}
		else if(zeros && s[i] != '0'){
			zeros = 0;
		}
		if(s[i] == '2') cout << '5';
		else if(s[i] == '5') cout << '2';
		else cout << s[i];
	 }
}
int main(){
	// freopen (" .txt", "r", stdin);
	// freopen (" .txt", "w", stdout);
	optimizator;
	int t = 1;
	//cin >> t;
	while(t --){
		solve();
	}
}
/*
/effect @s always_green 999999 255 true
/give @s correct_code 512
/give @s hugs 64
*/

